/******************************************/
/* examples program for ET-LAB3A          */
/* description : test interrupt service   */
/* compiler    : hi-tech c51              */
/******************************************/

/*  include section */
#include <8051.h>
#include <intrpt.h>

/*  define section */
#define B0  P0_BITS.B0
#define B1  P0_BITS.B1

/*  pototype section */
void interrupt ext0(void);
void interrupt ext1(void);

/*****************************************/
/*            main program               */
/*****************************************/
void main(void)
{
  set_vector(EXTI0,ext0);
  set_vector(EXTI1,ext1);

  EA = 1;
  EX0 = 1;
  EX1 = 1;

  while(1) {P0 = 0;}  
}

/*************************************/
/*  external 0 interrupt service     */
/*************************************/
void interrupt ext0(void)
{
   B0 = 1;   

 return; 
}

/************************************/
/*  external 1 interrupt service    */ 
/************************************/
void interrupt ext1(void) 
{
   B1 = 1;

 return;
}




